%define upstream_name    Net-Finger
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    A Perl implementation of a finger client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.bz2


BuildArch:      noarch


%description
Net::Finger is a simple, straightforward implementation of a finger client in
Perl -- so simple, in fact, that writing this documentation is almost
unnecessary.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc Changes
%{perl_vendorlib}/Net
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.60.0-10.mga9
+ Revision: 1804897
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-9.mga8
+ Revision: 1495878
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.60.0-8.mga7
+ Revision: 1269902
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-7.mga6
+ Revision: 1031069
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.60.0-6.mga6
+ Revision: 936558
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-5.mga5
+ Revision: 748239
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-4.mga5
+ Revision: 685648
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.60.0-3.mga4
+ Revision: 513378
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 370597
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 30891
- mageia rebuild
- imported package perl-Net-Finger


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.60.0-1mdv2010.0
+ Revision: 404092
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.06-14mdv2009.0
+ Revision: 258010
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.06-13mdv2009.0
+ Revision: 246082
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.06-11mdv2008.1
+ Revision: 140692
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-11mdv2008.0
+ Revision: 86690
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-10mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.06-9mdk
- Fix SPEC according to Perl Policy
    - Source URL

* Wed Nov 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-8mdk
- spec cleanup
- fix directory ownership
- %%mkrel
- rpmbuildupdate aware
- better summary
- better description
- better url

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.06-7mdk
- rpmbuildupdated

